OMGeo.Polyline (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class OMGeo.Polyline

    java.lang.Object
      com.bbn.openmap.omGraphics.geom.BasicGeometry
          com.bbn.openmap.omGraphics.OMGraphicAdapter
              com.bbn.openmap.geo.OMGeo
                  com.bbn.openmap.geo.OMGeo.Polyline

All Implemented Interfaces:
  GeoExtent, GeoPath, OMGeometry, OMGraphic, OMGraphicConstants, java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  OMGeo.Polygon

Enclosing class:
  OMGeo

    public static class OMGeo.Polyline

extends OMGeo
implements GeoPath

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.geo.OMGeo
`OMGeo.Line, OMGeo.Polygon, OMGeo.Polyline, OMGeo.Pt`

Nested classes/interfaces inherited from interface com.bbn.openmap.geo.GeoPath
`GeoPath.Impl, GeoPath.PointIterator, GeoPath.SegmentIterator`

Field Summary

Fields inherited from class com.bbn.openmap.geo.OMGeo
`extent, id`

Fields inherited from class com.bbn.openmap.omGraphics.OMGraphicAdapter
`declutterType, displayPaint, edgeMatchesFill, fillPaint, hasLabel, linePaint, matted, mattingPaint, renderType, selected, selectPaint, showEditablePalette, stroke, textureMask`

Fields inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`attributes, lineType, needToRegenerate, shape, visible`

Fields inherited from interface com.bbn.openmap.omGraphics.OMGraphicConstants
`ADD_GRAPHIC_MASK, APP_OBJECT, BASIC_STROKE, CHANGE_APPEARANCE, clear, DECIMAL_DEGREES, DECLUTTERTYPE_LINE, DECLUTTERTYPE_MOVE, DECLUTTERTYPE_NONE, DECLUTTERTYPE_SPACE, DEFAULT_ROTATIONANGLE, DELETE_GRAPHIC_MASK, DESELECT_GRAPHIC_MASK, DESELECTALL_GRAPHIC_MASK, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, INDEX, INFOLINE, LABEL, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, LOWER_GRAPHIC_MASK, LOWER_TO_BOTTOM_GRAPHIC_MASK, NO_ROTATE, OMGRAPHIC_ELT, OMGRAPHIC_TYPE_ATTR, RADIANS, RAISE_GRAPHIC_MASK, RAISE_TO_TOP_GRAPHIC_MASK, REMOVABLE, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, SELECT_GRAPHIC_MASK, SORT_GRAPHICS_MASK, TOOLTIP, UPDATE_GRAPHIC_MASK, UPDATED`

Constructor Summary
`OMGeo.Polyline(Geo[] gs)`
`OMGeo.Polyline(GeoArray points)`
`OMGeo.Polyline(GeoPath gp)`

Method Summary
`boolean` | `generate(Projection proj)` Prepare the graphic for rendering.
`GeoArray` | `getPoints()` Return the points that make up the path as an array of Geo object.
`protected boolean` | `isGeometryClosed(float[] rawllpts)`
`boolean` | `isSegmentNear(GeoSegment s, double epsilon)` Does the segment s come within epsilon (in radians) of us?
`int` | `length()`
`GeoPath.PointIterator` | `pointIterator()`
`GeoPath.SegmentIterator` | `segmentIterator()`

Methods inherited from class com.bbn.openmap.geo.OMGeo
`getBoundingCircle, getExtent, getID, setExtent, setID`

Methods inherited from class com.bbn.openmap.omGraphics.OMGraphicAdapter
`clone, deselect, distance, getDeclutterType, getDisplayColor, getDisplayPaint, getEdgeMatchesFill, getFillColor, getFillPaint, getHasLabel, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, hasLineTypeChoice, initLabelingDuringGenerate, isClear, isMatted, isSelected, normalizeDistanceForLineWidth, readStroke, readTextureMask, regenerate, render, renderLabel, renderShape, restore, select, setDeclutterType, setEdgeMatchesFill, setFillColor, setFillPaint, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setHasLabel, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLineColor, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelectColor, setSelected, setSelectPaint, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge, shouldRenderFill, writeStroke, writeTextureMask`

Methods inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`_distance, appendShapeEdge, appendShapeEdge, appendShapeEdge, appendShapeEdge, clearAttributes, contains, createAttributeMap, createBoxShape, createShape, createShape, describeShapeDetail, describeShapeDetail, distanceToEdge, distanceToEdge, draw, draw, fill, fill, getAppObject, getAttribute, getAttributes, getDescription, getLineType, getNeedToRegenerate, getShape, isRenderable, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.geo.GeoExtent
`getBoundingCircle, getID`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGeometry
`clearAttributes, contains, distanceToEdge, draw, draw, fill, fill, getAppObject, getAttribute, getAttributes, getDescription, getLineType, getNeedToRegenerate, getShape, isRenderable, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Constructor Detail

### OMGeo.Polyline

    public OMGeo.Polyline(GeoPath gp)

### OMGeo.Polyline

    public OMGeo.Polyline(Geo[] gs)

### OMGeo.Polyline

    public OMGeo.Polyline(GeoArray points)

Method Detail

### getPoints

    public GeoArray getPoints()

  Description copied from interface: `GeoPath`
  Return the points that make up the path as an array of Geo object. Closed paths are not specially marked. Specifically, closed paths do not have equal first and last Geo points in the returned array.

  Specified by:
    `getPoints` in interface `GeoPath`
  Returns:
    the Geo points of the Path

### generate

    public boolean generate(Projection proj)

  Description copied from class: `OMGraphicAdapter`
  Prepare the graphic for rendering. This must be done before calling `render()`! If a vector graphic has lat-lon components, then we project these vertices into x-y space. For raster graphics we prepare in a different fashion.

  If the generate is unsuccessful, it's usually because of some oversight, (for instance if `proj` is null), and if debugging is enabled, a message may be output to the controlling terminal.

  Specified by:
    `generate` in interface `OMGeometry`
  Specified by:
    `generate` in class `OMGraphicAdapter`
  Parameters:
    `proj` - Projection
  Returns:
    boolean true if successful, false if not.
  See Also:
    `OMGraphicAdapter.regenerate(com.bbn.openmap.proj.Projection)`

### isGeometryClosed

    protected boolean isGeometryClosed(float[] rawllpts)

### isSegmentNear

    public boolean isSegmentNear(GeoSegment s,
                                 double epsilon)

  Description copied from interface: `GeoPath`
  Does the segment s come within epsilon (in radians) of us?

  Specified by:
    `isSegmentNear` in interface `GeoPath`

### length

    public int length()

  Specified by:
    `length` in interface `GeoPath`
  Returns:
    the number of points in the path.

### pointIterator

    public GeoPath.PointIterator pointIterator()

  Specified by:
    `pointIterator` in interface `GeoPath`
  Returns:
    an iterator over the points of the path *

### segmentIterator

    public GeoPath.SegmentIterator segmentIterator()

  Specified by:
    `segmentIterator` in interface `GeoPath`
  Returns:
    an iterator over the segments of the path *

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details